LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Mandriva
User Name
Password
Mandriva This Forum is for the discussion of Mandriva (Mandrake) Linux.

Notices

Reply
 
Search this Thread
Old 05-09-2004, 05:25 PM   #1
mfeyzifar
LQ Newbie
 
Registered: Mar 2004
Location: Turkey
Distribution: FC 2 - WinXP
Posts: 8

Rep: Reputation: 0
kernel update error


when i try to compile new kernel, namely 2.6.5, an error message appears such as:

[root@abn134-175 linux-2.6.5]# make xconfig
HOSTCC scripts/basic/fixdep
/bin/sh: line 1: gcc: command not found
make[1]: *** [scripts/basic/fixdep] Hata 127
make: *** [scripts_basic] Hata 2

(i use turkish mandrake 10.0 (with 3cd); however, it doesn't matter which language i use.)
(hata = error)

if i compile under redhat 9, it's ok.

i installed mandrake almost all necessary packages.

where is the problem and how can i solve ?

thanks..
 
Old 05-09-2004, 05:51 PM   #2
AltF4
Member
 
Registered: Sep 2002
Location: .at
Distribution: SuSE, Knoppix
Posts: 532

Rep: Reputation: 31
you need to install the developmet tools to be able to compile the kernel.

those are probably named "kernel development" or similar.
 
Old 05-09-2004, 06:24 PM   #3
mfeyzifar
LQ Newbie
 
Registered: Mar 2004
Location: Turkey
Distribution: FC 2 - WinXP
Posts: 8

Original Poster
Rep: Reputation: 0
himm.. i have only 3 cds.. can it be allowed to install during normal install (what am I saying )

i mean, when we choose the packages, does it appear among the options ?

or do I have to have 4. cd ?

what you said is necessity for neither redhat nor gelecek (turkish distributions based on redhat gelecek = future)

(i'm sorry my english)

ok, i'll install , i hope it works.. i really need to update

also i have nvidia driver update problem...

--

does mandrake have differences ? i didn't have problems like these; however, because i couldn't install the LiLo under redhat and as a result i couldn't update the kernel (i have instructions for LiLo, not grub loader) and i don't use redhat anymore,

anyway.. i'll try

thanks a lot
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
update kernel error longnam Slackware 3 05-25-2006 08:24 PM
menuconifg error while update kernel amer_58 Linux - Newbie 1 11-08-2005 05:32 PM
Core 1 MySQL error after kernel update PhilBayfield Fedora 2 05-13-2004 08:58 AM
hotplug error on suse with 2.6 kernel after update gazzer82 Linux - General 4 03-06-2004 07:06 PM
man error in suse 9, kernel update questions as well feetyouwell Linux - Software 1 03-04-2004 01:52 PM


All times are GMT -5. The time now is 04:03 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration